Index: /stable/HeuristicLab.DataPreprocessing.Views/3.4/ScatterPlotMultiView.Designer.cs
===================================================================
--- /stable/HeuristicLab.DataPreprocessing.Views/3.4/ScatterPlotMultiView.Designer.cs	(revision 15241)
+++ /stable/HeuristicLab.DataPreprocessing.Views/3.4/ScatterPlotMultiView.Designer.cs	(revision 15242)
@@ -53,8 +53,27 @@
       this.bodyTableLayoutPanel = new System.Windows.Forms.TableLayoutPanel();
       this.sizeGroupBox = new System.Windows.Forms.GroupBox();
+      this.heightNumericUpDown = new System.Windows.Forms.NumericUpDown();
+      this.widthNumericUpDown = new System.Windows.Forms.NumericUpDown();
       this.heightLabel = new System.Windows.Forms.Label();
       this.widthLabel = new System.Windows.Forms.Label();
-      this.heightTrackBar = new System.Windows.Forms.TrackBar();
-      this.widthTrackBar = new System.Windows.Forms.TrackBar();
+      this.lockAspectCheckBox = new System.Windows.Forms.CheckBox();
+      this.pointSizeNumericUpDown = new System.Windows.Forms.NumericUpDown();
+      this.pointSizeLabel = new System.Windows.Forms.Label();
+      this.regressionGroupBox = new System.Windows.Forms.GroupBox();
+      this.regressionTypeComboBox = new System.Windows.Forms.ComboBox();
+      this.polynomialRegressionOrderNumericUpDown = new System.Windows.Forms.NumericUpDown();
+      this.orderLabel = new System.Windows.Forms.Label();
+      this.regressionTyleLabel = new System.Windows.Forms.Label();
+      this.groupingOptionsBox = new System.Windows.Forms.GroupBox();
+      this.legendGroupBox = new System.Windows.Forms.GroupBox();
+      this.legendCheckbox = new System.Windows.Forms.CheckBox();
+      this.legendOrderComboBox = new System.Windows.Forms.ComboBox();
+      this.legendOrderLabel = new System.Windows.Forms.Label();
+      this.aggregationLabel = new System.Windows.Forms.Label();
+      this.aggregationComboBox = new System.Windows.Forms.ComboBox();
+      this.groupingComboBox = new System.Windows.Forms.ComboBox();
+      this.opacityLabel = new System.Windows.Forms.Label();
+      this.pointOpacityNumericUpDown = new System.Windows.Forms.NumericUpDown();
+      this.pointsGroupBox = new System.Windows.Forms.GroupBox();
       ((System.ComponentModel.ISupportInitialize)(this.splitContainer)).BeginInit();
       this.splitContainer.Panel1.SuspendLayout();
@@ -66,12 +85,15 @@
       this.bodyScrollPanel.SuspendLayout();
       this.sizeGroupBox.SuspendLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.heightTrackBar)).BeginInit();
-      ((System.ComponentModel.ISupportInitialize)(this.widthTrackBar)).BeginInit();
+      ((System.ComponentModel.ISupportInitialize)(this.heightNumericUpDown)).BeginInit();
+      ((System.ComponentModel.ISupportInitialize)(this.widthNumericUpDown)).BeginInit();
+      ((System.ComponentModel.ISupportInitialize)(this.pointSizeNumericUpDown)).BeginInit();
+      this.regressionGroupBox.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.polynomialRegressionOrderNumericUpDown)).BeginInit();
+      this.groupingOptionsBox.SuspendLayout();
+      this.legendGroupBox.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pointOpacityNumericUpDown)).BeginInit();
+      this.pointsGroupBox.SuspendLayout();
       this.SuspendLayout();
       // 
-      // checkedItemList
-      // 
-      this.checkedItemList.Size = new System.Drawing.Size(113, 369);
-      // 
       // splitContainer
       // 
@@ -80,10 +102,12 @@
       // 
       this.splitContainer.Panel1.Controls.Add(this.sizeGroupBox);
+      this.splitContainer.Panel1.Controls.Add(this.pointsGroupBox);
+      this.splitContainer.Panel1.Controls.Add(this.groupingOptionsBox);
+      this.splitContainer.Panel1.Controls.Add(this.regressionGroupBox);
       // 
       // splitContainer.Panel2
       // 
       this.splitContainer.Panel2.Controls.Add(this.frameTableLayoutPanel);
-      this.splitContainer.Size = new System.Drawing.Size(863, 520);
-      this.splitContainer.SplitterDistance = 120;
+      this.splitContainer.Size = new System.Drawing.Size(589, 451);
       // 
       // frameTableLayoutPanel
@@ -101,5 +125,5 @@
       this.frameTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle(System.Windows.Forms.SizeType.Absolute, 40F));
       this.frameTableLayoutPanel.RowStyles.Add(new System.Windows.Forms.RowStyle());
-      this.frameTableLayoutPanel.Size = new System.Drawing.Size(739, 520);
+      this.frameTableLayoutPanel.Size = new System.Drawing.Size(405, 451);
       this.frameTableLayoutPanel.TabIndex = 0;
       // 
@@ -111,5 +135,5 @@
       this.columnHeaderScrollPanel.Margin = new System.Windows.Forms.Padding(0);
       this.columnHeaderScrollPanel.Name = "columnHeaderScrollPanel";
-      this.columnHeaderScrollPanel.Size = new System.Drawing.Size(699, 40);
+      this.columnHeaderScrollPanel.Size = new System.Drawing.Size(365, 40);
       this.columnHeaderScrollPanel.TabIndex = 3;
       // 
@@ -138,5 +162,5 @@
       this.rowHeaderScrollPanel.Margin = new System.Windows.Forms.Padding(0);
       this.rowHeaderScrollPanel.Name = "rowHeaderScrollPanel";
-      this.rowHeaderScrollPanel.Size = new System.Drawing.Size(40, 480);
+      this.rowHeaderScrollPanel.Size = new System.Drawing.Size(40, 411);
       this.rowHeaderScrollPanel.TabIndex = 4;
       // 
@@ -166,5 +190,5 @@
       this.bodyScrollPanel.Margin = new System.Windows.Forms.Padding(0);
       this.bodyScrollPanel.Name = "bodyScrollPanel";
-      this.bodyScrollPanel.Size = new System.Drawing.Size(699, 480);
+      this.bodyScrollPanel.Size = new System.Drawing.Size(365, 411);
       this.bodyScrollPanel.TabIndex = 5;
       this.bodyScrollPanel.Scroll += new System.Windows.Forms.ScrollEventHandler(this.bodyScrollPanel_Scroll);
@@ -188,21 +212,71 @@
       // sizeGroupBox
       // 
-      this.sizeGroupBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
+      this.sizeGroupBox.Controls.Add(this.heightNumericUpDown);
+      this.sizeGroupBox.Controls.Add(this.widthNumericUpDown);
       this.sizeGroupBox.Controls.Add(this.heightLabel);
       this.sizeGroupBox.Controls.Add(this.widthLabel);
-      this.sizeGroupBox.Controls.Add(this.heightTrackBar);
-      this.sizeGroupBox.Controls.Add(this.widthTrackBar);
-      this.sizeGroupBox.Location = new System.Drawing.Point(4, 379);
+      this.sizeGroupBox.Controls.Add(this.lockAspectCheckBox);
+      this.sizeGroupBox.Dock = System.Windows.Forms.DockStyle.Bottom;
+      this.sizeGroupBox.Location = new System.Drawing.Point(0, 78);
       this.sizeGroupBox.Name = "sizeGroupBox";
-      this.sizeGroupBox.Size = new System.Drawing.Size(113, 124);
+      this.sizeGroupBox.Size = new System.Drawing.Size(180, 98);
       this.sizeGroupBox.TabIndex = 5;
       this.sizeGroupBox.TabStop = false;
       this.sizeGroupBox.Text = "Chart Size";
       // 
+      // heightNumericUpDown
+      // 
+      this.heightNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.heightNumericUpDown.Increment = new decimal(new int[] {
+            50,
+            0,
+            0,
+            0});
+      this.heightNumericUpDown.Location = new System.Drawing.Point(50, 46);
+      this.heightNumericUpDown.Maximum = new decimal(new int[] {
+            100000,
+            0,
+            0,
+            0});
+      this.heightNumericUpDown.Name = "heightNumericUpDown";
+      this.heightNumericUpDown.Size = new System.Drawing.Size(124, 20);
+      this.heightNumericUpDown.TabIndex = 4;
+      this.heightNumericUpDown.Value = new decimal(new int[] {
+            225,
+            0,
+            0,
+            0});
+      this.heightNumericUpDown.ValueChanged += new System.EventHandler(this.heightNumericUpDown_ValueChanged);
+      // 
+      // widthNumericUpDown
+      // 
+      this.widthNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.widthNumericUpDown.Increment = new decimal(new int[] {
+            50,
+            0,
+            0,
+            0});
+      this.widthNumericUpDown.Location = new System.Drawing.Point(50, 20);
+      this.widthNumericUpDown.Maximum = new decimal(new int[] {
+            10000,
+            0,
+            0,
+            0});
+      this.widthNumericUpDown.Name = "widthNumericUpDown";
+      this.widthNumericUpDown.Size = new System.Drawing.Size(124, 20);
+      this.widthNumericUpDown.TabIndex = 3;
+      this.widthNumericUpDown.Value = new decimal(new int[] {
+            300,
+            0,
+            0,
+            0});
+      this.widthNumericUpDown.ValueChanged += new System.EventHandler(this.widthNumericUpDown_ValueChanged);
+      // 
       // heightLabel
       // 
       this.heightLabel.AutoSize = true;
-      this.heightLabel.Location = new System.Drawing.Point(6, 64);
+      this.heightLabel.Location = new System.Drawing.Point(6, 48);
       this.heightLabel.Name = "heightLabel";
       this.heightLabel.Size = new System.Drawing.Size(41, 13);
@@ -213,5 +287,5 @@
       // 
       this.widthLabel.AutoSize = true;
-      this.widthLabel.Location = new System.Drawing.Point(6, 16);
+      this.widthLabel.Location = new System.Drawing.Point(6, 22);
       this.widthLabel.Name = "widthLabel";
       this.widthLabel.Size = new System.Drawing.Size(38, 13);
@@ -219,33 +293,263 @@
       this.widthLabel.Text = "Width:";
       // 
-      // heightTrackBar
-      // 
-      this.heightTrackBar.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.heightTrackBar.LargeChange = 50;
-      this.heightTrackBar.Location = new System.Drawing.Point(6, 83);
-      this.heightTrackBar.Maximum = 100;
-      this.heightTrackBar.Name = "heightTrackBar";
-      this.heightTrackBar.Size = new System.Drawing.Size(101, 45);
-      this.heightTrackBar.SmallChange = 10;
-      this.heightTrackBar.TabIndex = 0;
-      this.heightTrackBar.TickFrequency = 10;
-      this.heightTrackBar.Value = 20;
-      this.heightTrackBar.ValueChanged += new System.EventHandler(this.heightTrackBar_ValueChanged);
-      // 
-      // widthTrackBar
-      // 
-      this.widthTrackBar.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-      this.widthTrackBar.LargeChange = 50;
-      this.widthTrackBar.Location = new System.Drawing.Point(6, 32);
-      this.widthTrackBar.Maximum = 100;
-      this.widthTrackBar.Name = "widthTrackBar";
-      this.widthTrackBar.Size = new System.Drawing.Size(101, 45);
-      this.widthTrackBar.SmallChange = 10;
-      this.widthTrackBar.TabIndex = 0;
-      this.widthTrackBar.TickFrequency = 10;
-      this.widthTrackBar.Value = 20;
-      this.widthTrackBar.ValueChanged += new System.EventHandler(this.widthTrackBar_ValueChanged);
+      // lockAspectCheckBox
+      // 
+      this.lockAspectCheckBox.AutoSize = true;
+      this.lockAspectCheckBox.Checked = true;
+      this.lockAspectCheckBox.CheckState = System.Windows.Forms.CheckState.Checked;
+      this.lockAspectCheckBox.Location = new System.Drawing.Point(50, 73);
+      this.lockAspectCheckBox.Name = "lockAspectCheckBox";
+      this.lockAspectCheckBox.Size = new System.Drawing.Size(114, 17);
+      this.lockAspectCheckBox.TabIndex = 6;
+      this.lockAspectCheckBox.Text = "Lock Aspect Ratio";
+      this.lockAspectCheckBox.UseVisualStyleBackColor = true;
+      // 
+      // pointSizeNumericUpDown
+      // 
+      this.pointSizeNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.pointSizeNumericUpDown.Location = new System.Drawing.Point(58, 15);
+      this.pointSizeNumericUpDown.Maximum = new decimal(new int[] {
+            50,
+            0,
+            0,
+            0});
+      this.pointSizeNumericUpDown.Minimum = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
+      this.pointSizeNumericUpDown.Name = "pointSizeNumericUpDown";
+      this.pointSizeNumericUpDown.Size = new System.Drawing.Size(116, 20);
+      this.pointSizeNumericUpDown.TabIndex = 8;
+      this.pointSizeNumericUpDown.Value = new decimal(new int[] {
+            3,
+            0,
+            0,
+            0});
+      this.pointSizeNumericUpDown.ValueChanged += new System.EventHandler(this.pointSizeNumericUpDown_ValueChanged);
+      // 
+      // pointSizeLabel
+      // 
+      this.pointSizeLabel.AutoSize = true;
+      this.pointSizeLabel.Location = new System.Drawing.Point(6, 17);
+      this.pointSizeLabel.Name = "pointSizeLabel";
+      this.pointSizeLabel.Size = new System.Drawing.Size(30, 13);
+      this.pointSizeLabel.TabIndex = 7;
+      this.pointSizeLabel.Text = "Size:";
+      // 
+      // regressionGroupBox
+      // 
+      this.regressionGroupBox.Controls.Add(this.regressionTypeComboBox);
+      this.regressionGroupBox.Controls.Add(this.polynomialRegressionOrderNumericUpDown);
+      this.regressionGroupBox.Controls.Add(this.orderLabel);
+      this.regressionGroupBox.Controls.Add(this.regressionTyleLabel);
+      this.regressionGroupBox.Dock = System.Windows.Forms.DockStyle.Bottom;
+      this.regressionGroupBox.Location = new System.Drawing.Point(0, 376);
+      this.regressionGroupBox.Name = "regressionGroupBox";
+      this.regressionGroupBox.Size = new System.Drawing.Size(180, 75);
+      this.regressionGroupBox.TabIndex = 3;
+      this.regressionGroupBox.TabStop = false;
+      this.regressionGroupBox.Text = "Regression";
+      // 
+      // regressionTypeComboBox
+      // 
+      this.regressionTypeComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.regressionTypeComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.regressionTypeComboBox.FormattingEnabled = true;
+      this.regressionTypeComboBox.Location = new System.Drawing.Point(67, 19);
+      this.regressionTypeComboBox.Name = "regressionTypeComboBox";
+      this.regressionTypeComboBox.Size = new System.Drawing.Size(107, 21);
+      this.regressionTypeComboBox.TabIndex = 14;
+      this.regressionTypeComboBox.SelectedValueChanged += new System.EventHandler(this.regressionTypeComboBox_SelectedValueChanged);
+      // 
+      // polynomialRegressionOrderNumericUpDown
+      // 
+      this.polynomialRegressionOrderNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.polynomialRegressionOrderNumericUpDown.Location = new System.Drawing.Point(67, 45);
+      this.polynomialRegressionOrderNumericUpDown.Margin = new System.Windows.Forms.Padding(9, 3, 3, 3);
+      this.polynomialRegressionOrderNumericUpDown.Maximum = new decimal(new int[] {
+            6,
+            0,
+            0,
+            0});
+      this.polynomialRegressionOrderNumericUpDown.Minimum = new decimal(new int[] {
+            2,
+            0,
+            0,
+            0});
+      this.polynomialRegressionOrderNumericUpDown.Name = "polynomialRegressionOrderNumericUpDown";
+      this.polynomialRegressionOrderNumericUpDown.Size = new System.Drawing.Size(107, 20);
+      this.polynomialRegressionOrderNumericUpDown.TabIndex = 15;
+      this.polynomialRegressionOrderNumericUpDown.Value = new decimal(new int[] {
+            2,
+            0,
+            0,
+            0});
+      this.polynomialRegressionOrderNumericUpDown.ValueChanged += new System.EventHandler(this.polynomialRegressionOrderNumericUpDown_ValueChanged);
+      // 
+      // orderLabel
+      // 
+      this.orderLabel.AutoSize = true;
+      this.orderLabel.Location = new System.Drawing.Point(6, 47);
+      this.orderLabel.Name = "orderLabel";
+      this.orderLabel.Size = new System.Drawing.Size(36, 13);
+      this.orderLabel.TabIndex = 16;
+      this.orderLabel.Text = "Order:";
+      // 
+      // regressionTyleLabel
+      // 
+      this.regressionTyleLabel.AutoSize = true;
+      this.regressionTyleLabel.Location = new System.Drawing.Point(6, 22);
+      this.regressionTyleLabel.Name = "regressionTyleLabel";
+      this.regressionTyleLabel.Size = new System.Drawing.Size(34, 13);
+      this.regressionTyleLabel.TabIndex = 13;
+      this.regressionTyleLabel.Text = "Type:";
+      // 
+      // groupingOptionsBox
+      // 
+      this.groupingOptionsBox.Controls.Add(this.legendGroupBox);
+      this.groupingOptionsBox.Controls.Add(this.aggregationLabel);
+      this.groupingOptionsBox.Controls.Add(this.aggregationComboBox);
+      this.groupingOptionsBox.Controls.Add(this.groupingComboBox);
+      this.groupingOptionsBox.Dock = System.Windows.Forms.DockStyle.Bottom;
+      this.groupingOptionsBox.Location = new System.Drawing.Point(0, 245);
+      this.groupingOptionsBox.Name = "groupingOptionsBox";
+      this.groupingOptionsBox.Size = new System.Drawing.Size(180, 131);
+      this.groupingOptionsBox.TabIndex = 8;
+      this.groupingOptionsBox.TabStop = false;
+      this.groupingOptionsBox.Text = "Grouping";
+      // 
+      // legendGroupBox
+      // 
+      this.legendGroupBox.Controls.Add(this.legendCheckbox);
+      this.legendGroupBox.Controls.Add(this.legendOrderComboBox);
+      this.legendGroupBox.Controls.Add(this.legendOrderLabel);
+      this.legendGroupBox.Enabled = false;
+      this.legendGroupBox.Location = new System.Drawing.Point(6, 73);
+      this.legendGroupBox.Name = "legendGroupBox";
+      this.legendGroupBox.Size = new System.Drawing.Size(167, 50);
+      this.legendGroupBox.TabIndex = 7;
+      this.legendGroupBox.TabStop = false;
+      this.legendGroupBox.Text = "Legend";
+      // 
+      // legendCheckbox
+      // 
+      this.legendCheckbox.AutoSize = true;
+      this.legendCheckbox.Checked = true;
+      this.legendCheckbox.CheckState = System.Windows.Forms.CheckState.Checked;
+      this.legendCheckbox.Location = new System.Drawing.Point(56, -1);
+      this.legendCheckbox.Name = "legendCheckbox";
+      this.legendCheckbox.Size = new System.Drawing.Size(56, 17);
+      this.legendCheckbox.TabIndex = 0;
+      this.legendCheckbox.Text = "Visible";
+      this.legendCheckbox.UseVisualStyleBackColor = true;
+      this.legendCheckbox.CheckedChanged += new System.EventHandler(this.legendCheckbox_CheckedChanged);
+      // 
+      // legendOrderComboBox
+      // 
+      this.legendOrderComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.legendOrderComboBox.FormattingEnabled = true;
+      this.legendOrderComboBox.Location = new System.Drawing.Point(49, 19);
+      this.legendOrderComboBox.Name = "legendOrderComboBox";
+      this.legendOrderComboBox.Size = new System.Drawing.Size(109, 21);
+      this.legendOrderComboBox.TabIndex = 5;
+      this.legendOrderComboBox.SelectedIndexChanged += new System.EventHandler(this.legendOrderComboBox_SelectedIndexChanged);
+      // 
+      // legendOrderLabel
+      // 
+      this.legendOrderLabel.AutoSize = true;
+      this.legendOrderLabel.Location = new System.Drawing.Point(7, 22);
+      this.legendOrderLabel.Name = "legendOrderLabel";
+      this.legendOrderLabel.Size = new System.Drawing.Size(36, 13);
+      this.legendOrderLabel.TabIndex = 4;
+      this.legendOrderLabel.Text = "Order:";
+      this.legendOrderLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+      // 
+      // aggregationLabel
+      // 
+      this.aggregationLabel.AutoSize = true;
+      this.aggregationLabel.Enabled = false;
+      this.aggregationLabel.Location = new System.Drawing.Point(5, 49);
+      this.aggregationLabel.Name = "aggregationLabel";
+      this.aggregationLabel.Size = new System.Drawing.Size(67, 13);
+      this.aggregationLabel.TabIndex = 3;
+      this.aggregationLabel.Text = "Aggregation:";
+      // 
+      // aggregationComboBox
+      // 
+      this.aggregationComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.aggregationComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.aggregationComboBox.Enabled = false;
+      this.aggregationComboBox.FormattingEnabled = true;
+      this.aggregationComboBox.Location = new System.Drawing.Point(79, 46);
+      this.aggregationComboBox.Name = "aggregationComboBox";
+      this.aggregationComboBox.Size = new System.Drawing.Size(96, 21);
+      this.aggregationComboBox.TabIndex = 2;
+      this.aggregationComboBox.SelectedIndexChanged += new System.EventHandler(this.aggregationComboBox_SelectedIndexChanged);
+      // 
+      // groupingComboBox
+      // 
+      this.groupingComboBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.groupingComboBox.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+      this.groupingComboBox.FormattingEnabled = true;
+      this.groupingComboBox.Location = new System.Drawing.Point(6, 19);
+      this.groupingComboBox.Name = "groupingComboBox";
+      this.groupingComboBox.Size = new System.Drawing.Size(169, 21);
+      this.groupingComboBox.TabIndex = 1;
+      this.groupingComboBox.SelectedIndexChanged += new System.EventHandler(this.groupingComboBox_SelectedIndexChanged);
+      // 
+      // opacityLabel
+      // 
+      this.opacityLabel.AutoSize = true;
+      this.opacityLabel.Location = new System.Drawing.Point(6, 43);
+      this.opacityLabel.Name = "opacityLabel";
+      this.opacityLabel.Size = new System.Drawing.Size(46, 13);
+      this.opacityLabel.TabIndex = 7;
+      this.opacityLabel.Text = "Opacity:";
+      // 
+      // pointOpacityNumericUpDown
+      // 
+      this.pointOpacityNumericUpDown.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+      this.pointOpacityNumericUpDown.DecimalPlaces = 2;
+      this.pointOpacityNumericUpDown.Increment = new decimal(new int[] {
+            1,
+            0,
+            0,
+            65536});
+      this.pointOpacityNumericUpDown.Location = new System.Drawing.Point(58, 41);
+      this.pointOpacityNumericUpDown.Maximum = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
+      this.pointOpacityNumericUpDown.Name = "pointOpacityNumericUpDown";
+      this.pointOpacityNumericUpDown.Size = new System.Drawing.Size(115, 20);
+      this.pointOpacityNumericUpDown.TabIndex = 8;
+      this.pointOpacityNumericUpDown.Value = new decimal(new int[] {
+            1,
+            0,
+            0,
+            0});
+      this.pointOpacityNumericUpDown.ValueChanged += new System.EventHandler(this.pointOpacityNumericUpDown_ValueChanged);
+      // 
+      // pointsGroupBox
+      // 
+      this.pointsGroupBox.Controls.Add(this.pointOpacityNumericUpDown);
+      this.pointsGroupBox.Controls.Add(this.pointSizeLabel);
+      this.pointsGroupBox.Controls.Add(this.pointSizeNumericUpDown);
+      this.pointsGroupBox.Controls.Add(this.opacityLabel);
+      this.pointsGroupBox.Dock = System.Windows.Forms.DockStyle.Bottom;
+      this.pointsGroupBox.Location = new System.Drawing.Point(0, 176);
+      this.pointsGroupBox.Name = "pointsGroupBox";
+      this.pointsGroupBox.Size = new System.Drawing.Size(180, 69);
+      this.pointsGroupBox.TabIndex = 4;
+      this.pointsGroupBox.TabStop = false;
+      this.pointsGroupBox.Text = "Points";
       // 
       // ScatterPlotMultiView
@@ -254,5 +558,5 @@
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Name = "ScatterPlotMultiView";
-      this.Size = new System.Drawing.Size(863, 520);
+      this.Size = new System.Drawing.Size(589, 451);
       this.splitContainer.Panel1.ResumeLayout(false);
       this.splitContainer.Panel2.ResumeLayout(false);
@@ -268,6 +572,17 @@
       this.sizeGroupBox.ResumeLayout(false);
       this.sizeGroupBox.PerformLayout();
-      ((System.ComponentModel.ISupportInitialize)(this.heightTrackBar)).EndInit();
-      ((System.ComponentModel.ISupportInitialize)(this.widthTrackBar)).EndInit();
+      ((System.ComponentModel.ISupportInitialize)(this.heightNumericUpDown)).EndInit();
+      ((System.ComponentModel.ISupportInitialize)(this.widthNumericUpDown)).EndInit();
+      ((System.ComponentModel.ISupportInitialize)(this.pointSizeNumericUpDown)).EndInit();
+      this.regressionGroupBox.ResumeLayout(false);
+      this.regressionGroupBox.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.polynomialRegressionOrderNumericUpDown)).EndInit();
+      this.groupingOptionsBox.ResumeLayout(false);
+      this.groupingOptionsBox.PerformLayout();
+      this.legendGroupBox.ResumeLayout(false);
+      this.legendGroupBox.PerformLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pointOpacityNumericUpDown)).EndInit();
+      this.pointsGroupBox.ResumeLayout(false);
+      this.pointsGroupBox.PerformLayout();
       this.ResumeLayout(false);
 
@@ -284,8 +599,27 @@
     private System.Windows.Forms.Panel bodyScrollPanel;
     private System.Windows.Forms.GroupBox sizeGroupBox;
-    private System.Windows.Forms.TrackBar widthTrackBar;
-    private System.Windows.Forms.TrackBar heightTrackBar;
     private System.Windows.Forms.Label heightLabel;
     private System.Windows.Forms.Label widthLabel;
+    private System.Windows.Forms.GroupBox regressionGroupBox;
+    private System.Windows.Forms.ComboBox regressionTypeComboBox;
+    private System.Windows.Forms.NumericUpDown polynomialRegressionOrderNumericUpDown;
+    private System.Windows.Forms.Label orderLabel;
+    private System.Windows.Forms.Label regressionTyleLabel;
+    private System.Windows.Forms.GroupBox groupingOptionsBox;
+    private System.Windows.Forms.ComboBox groupingComboBox;
+    private System.Windows.Forms.NumericUpDown widthNumericUpDown;
+    private System.Windows.Forms.NumericUpDown heightNumericUpDown;
+    private System.Windows.Forms.CheckBox lockAspectCheckBox;
+    private System.Windows.Forms.NumericUpDown pointSizeNumericUpDown;
+    private System.Windows.Forms.Label pointSizeLabel;
+    private System.Windows.Forms.Label aggregationLabel;
+    private System.Windows.Forms.ComboBox aggregationComboBox;
+    private System.Windows.Forms.GroupBox pointsGroupBox;
+    private System.Windows.Forms.NumericUpDown pointOpacityNumericUpDown;
+    private System.Windows.Forms.Label opacityLabel;
+    private System.Windows.Forms.Label legendOrderLabel;
+    private System.Windows.Forms.ComboBox legendOrderComboBox;
+    private System.Windows.Forms.GroupBox legendGroupBox;
+    private System.Windows.Forms.CheckBox legendCheckbox;
   }
 }
